<div class="modal fade" id="mdl" #mymodal (click)="hideOnClick($event)" style="z-index: 99999999;">
  <div class="modal-dialog" role="document" [ngStyle]="{'width': width}">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">{{title}}</h5>
        <button (click)="closeModal()" type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" [ngStyle]="{'min-height': height}">
        <ng-content></ng-content>
      </div>
      <div class="modal-footer">
        <button [disabled]="!formEnable" type="button" class="myCustomButton primary" (click)="onNotify()">{{saveText}}</button>
        <button type="button" class="myCustomButton" data-dismiss="modal" (click)="closeModal()">{{cancelText}}</button>
      </div>
    </div>
  </div>
</div>